Page MenuHomePhabricator

Bug: When saving an edit on iOS, the saving message should be a Progress indicator
Closed, InvalidPublic

Description

The "Saving..." in progress message is appearing like a dismissible error message rather than the expected Progress indicator UI control.

Steps to reproduce

  1. Tap on the edit icon in a section of an article.
  2. Make an edit on that article.
  3. Select a reason for the edit and tap 'Save' from the preview and edit screen.

Actual


An error message bar with the “x” icon appears. Progress messages should not be dismissible sine this gives the mistaken impression that that tapping on this will stop the edit being saved, which is not the case.

Expected
Either an Activity indicator if saving the article is unquantifiable; or else if the final value can be calculated show a Progress bar – as per iOS guidelines.

Event Timeline

RHo created this task.Jul 31 2016, 10:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2016, 10:43 PM
JMinor triaged this task as Normal priority.Aug 2 2016, 9:46 PM
JMinor moved this task from Needs Triage to Product Backlog on the Wikipedia-iOS-App-Backlog board.
JMinor lowered the priority of this task from Normal to Low.May 24 2017, 6:45 PM
LGoto closed this task as Invalid.Tue, Mar 26, 9:20 PM